1. Astro Boyzone's Avatar
    Hello CrackBerry users, i am trying to install the BlackBerry 10 Native SDK which gets installed after installing the Momentics IDE but i am getting the below error.

    There was an error updating SDK. Press the Details button to review the error.
    Failed to refresh SDKs after install/update/uninstall
    Unable to read repository at http://downloads.blackberry.com/upr/.../bbndk/iderepo.
    http://downloads.blackberry.com/upr/.../bbndk/iderepo is not a valid repository location.
    Unable to read repository at http://downloads.blackberry.com/upr/.../bbndk/iderepo.
    http://downloads.blackberry.com/upr/.../bbndk/iderepo is not a valid repository location.

    Anyone please help me with getting the SDK installed.
    05-15-14 09:45 AM
  2. pkcable's Avatar
    I moved the thread to Developer Hangout so you can get some help.
    Astro Boyzone likes this.
    05-15-14 09:12 PM
  3. thurask's Avatar
    Try this (assuming you want the 10.3 SDK).

    Help > Install New Software > Add > some name for the name,
    Code:
    http://downloads.blackberry.com/upr/developers/update/bbndk/10_3_beta/ndktarget_10.3.0.440
    for the location
    05-15-14 10:07 PM
  4. Astro Boyzone's Avatar
    Try this (assuming you want the 10.3 SDK).

    Help > Install New Software > Add > some name for the name,
    Code:
    http://downloads.blackberry.com/upr/developers/update/bbndk/10_3_beta/ndktarget_10.3.0.440
    for the location
    I tried doing what you said but it still gives me the same error, its not picking up the SDK from the URL you mentioned but the default one.
    BlackBerry Momentics SDK Download Error-momentic.jpg
    05-16-14 05:10 AM
  5. Astro Boyzone's Avatar
    Try this (assuming you want the 10.3 SDK).

    Help > Install New Software > Add > some name for the name,
    Code:
    http://downloads.blackberry.com/upr/developers/update/bbndk/10_3_beta/ndktarget_10.3.0.440
    for the location
    Here is the URL's screen capture when i click on Add.
    BlackBerry Momentics SDK Download Error-momentic2.jpg

    And this is the error i am getting.
    BlackBerry Momentics SDK Download Error-momentic3.jpg

    I would like to have 10.2 or 10.3 SDK either, but just want to get my environment set up first.. Please Help!!
    05-16-14 05:14 AM
  6. Astro Boyzone's Avatar
    Anybody can help??
    05-19-14 12:57 AM

Similar Threads

  1. Good news for BlackBerry.
    By Man_apart in forum BBRY
    Replies: 25
    Last Post: 05-17-14, 11:52 PM
  2. BlackBerry Z3 sales appear to be off to a great start in Indonesia
    By CrackBerry News in forum CrackBerry.com News Discussion & Contests
    Replies: 0
    Last Post: 05-15-14, 07:00 PM
  3. Where to get Sachesi for BlackBerry?
    By tareq salman in forum More for your BlackBerry 10 Phone!
    Replies: 4
    Last Post: 05-15-14, 06:36 PM
  4. Bert Nordberg stepping down from BlackBerry board next month
    By CrackBerry News in forum CrackBerry.com News Discussion & Contests
    Replies: 1
    Last Post: 05-15-14, 06:33 PM
  5. Formating blackberry z10
    By xcaliber.1st in forum More for your BlackBerry 10 Phone!
    Replies: 1
    Last Post: 05-15-14, 04:21 PM
LINK TO POST COPIED TO CLIPBOARD